Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.drupal.project.async_command
Enum GenericDrupalApp.RunningMode

    java.lang.Object
      java.lang.Enum<GenericDrupalApp.RunningMode>
          org.drupal.project.async_command.GenericDrupalApp.RunningMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<GenericDrupalApp.RunningMode>

Enclosing class:
  GenericDrupalApp

    public static enum GenericDrupalApp.RunningMode

extends java.lang.Enum<GenericDrupalApp.RunningMode>

Various running mode of the DrupalApp

Enum Constant Summary
`FIRST` Only execute the next available command in the queue, and then exit.
`NONSTOP` Continuously retrieve new commands from the queue, execute them in parallel (serial just means thread=1), and exit only when told to.
`PARALLEL` Retrieves a list of commands, execute them in parallel, and then exit.
`SERIAL` Retrieve a list of commands, execute them in serial, and then exit.

Method Summary
`static GenericDrupalApp.RunningMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GenericDrupalApp.RunningMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FIRST

    public static final GenericDrupalApp.RunningMode FIRST

  Only execute the next available command in the queue, and then exit.

### SERIAL

    public static final GenericDrupalApp.RunningMode SERIAL

  Retrieve a list of commands, execute them in serial, and then exit.

### PARALLEL

    public static final GenericDrupalApp.RunningMode PARALLEL

  Retrieves a list of commands, execute them in parallel, and then exit.

### NONSTOP

    public static final GenericDrupalApp.RunningMode NONSTOP

  Continuously retrieve new commands from the queue, execute them in parallel (serial just means thread=1), and exit only when told to.

Method Detail

### values

    public static GenericDrupalApp.RunningMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GenericDrupalApp.RunningMode c : GenericDrupalApp.RunningMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GenericDrupalApp.RunningMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD